/// <reference types="react" />

import {Plugin as Plugin_2} from 'sanity'

export declare function branchFilter(options: BranchOptions): BranchFilterResult

declare type BranchFilterResult = {
  filter: string
  params: BranchOptions
}

/**
 * Pluggable Function for Filtering to a Top Concept Branch within a SKOS Concept Scheme
 */
declare type BranchOptions = {
  schemeId: string
  branchId: string
}

declare interface Options {
  baseUri?: string
}

export declare function schemeFilter(options: SchemeOptions): SchemeFilterResult

declare type SchemeFilterResult = {
  filter: string
  params: SchemeOptions
}

/**
 * Pluggable Function for Filtering to a Single SKOS Concept Scheme
 */
declare type SchemeOptions = {
  schemeId: string
}

/**
 * Defines a Sanity plugin for managing taxonomies.
 * @param options - Optional configuration options for the plugin.
 * @param options.baseUri - The base URI to use for SKOS concepts and concept schemes.
 * baseURI should follow an IANA http/s scheme and should terminate with either a / or #.
 * @returns A Sanity plugin object.
 */
export declare const taxonomyManager: Plugin_2<Options | undefined>

export declare const TreeView: ({document}: {document: any}) => JSX.Element

export {}
